Get deployment default user role
curl --request GET \
--url https://semgrep.dev/api/agent/deployments/{deploymentId}/default_user_role \
--header 'Authorization: Bearer <token>'import requests
url = "https://semgrep.dev/api/agent/deployments/{deploymentId}/default_user_role"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://semgrep.dev/api/agent/deployments/{deploymentId}/default_user_role', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"defaultUserRole": "ORG_ROLE_ADMIN"
}Deployment
Get deployment default user role
Get the default user role for a deployment
GET
/
api
/
agent
/
deployments
/
{deploymentId}
/
default_user_role
Get deployment default user role
This endpoint is experimental. It may change or be removed without notice, and is not covered by API stability guarantees.
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Response
200 - application/json
OK
| value | description |
|---|---|
| ORG_ROLE_ADMIN | |
| ORG_ROLE_MEMBER | |
| ORG_ROLE_IMPERSONATOR | |
| ORG_ROLE_READONLY |
Available options:
ORG_ROLE_ADMIN, ORG_ROLE_MEMBER, ORG_ROLE_IMPERSONATOR, ORG_ROLE_READONLY Was this page helpful?
⌘I